# Criteo API SDK for Python

## Introduction
API Client Libraries can facilitate your use of the Criteo API allowing you to build unique and customized solutions to serve your businesses and clients.
These libraries can reduce the amount of code you need to write in order to start accessing Criteo programmatically. They also can help expedite troubleshooting, should you encounter any issues.

More information: [https://developers.criteo.com/](https://developers.criteo.com/)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- Package version: 0.0.240808

## Requirements

Python 2.7 and 3.5+

## Installation & Usage
### pip install

```sh
pip install criteo-api-retailmedia-sdk==0.0.240808
```
(you may need to run `pip` with root permission: `sudo pip install criteo-api-retailmedia-sdk==0.0.240808`)

Then import the package:
```python
import criteo_api_retailmedia_preview
```

### Manual Installation using [Setuptools](http://pypi.python.org/pypi/setuptools)

Download the code or clone the repository locally, then execute the following command:

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import criteo_api_retailmedia_preview
```

## Example
There are multiple examples for the different OAuth flows that the SDK supports.
- See [test/example_application_with_client_credentials.py](test/example_application_with_client_credentials.py) for an example with Client Credentials.
- See [test/example_application_with_auth_code.py](test/example_application_with_auth_code.py) for an example with Authorization Code.
Once you follow the authorization code flow, you will have a refresh token that has to be used to regenerate access token for future usage. 
    - See [test/example_application_with_refresh_token.py](test/example_application_with_refresh_token.py) for an example with Refresh Token .

## Documentation for API Endpoints

The developers documentation is available at: *https://developers.criteo.com*.

All URIs are relative to *https://api.criteo.com*.

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------


## Documentation For Models

 - [AddFundsToBalanceV2](docs/AddFundsToBalanceV2.md)
 - [AddFundsToBalanceV2Request](docs/AddFundsToBalanceV2Request.md)
 - [AddRemoveKeywordModel](docs/AddRemoveKeywordModel.md)
 - [AddRemoveKeywordsModel](docs/AddRemoveKeywordsModel.md)
 - [AddRemoveKeywordsModelRequest](docs/AddRemoveKeywordsModelRequest.md)
 - [AddRemoveKeywordsModelResource](docs/AddRemoveKeywordsModelResource.md)
 - [ApplicationSummaryModel](docs/ApplicationSummaryModel.md)
 - [ApplicationSummaryModelResource](docs/ApplicationSummaryModelResource.md)
 - [ApplicationSummaryModelResponse](docs/ApplicationSummaryModelResponse.md)
 - [ApprovalStatusModel](docs/ApprovalStatusModel.md)
 - [AsyncAccountsReport](docs/AsyncAccountsReport.md)
 - [AsyncAccountsReportRequest](docs/AsyncAccountsReportRequest.md)
 - [AsyncAccountsReportResource](docs/AsyncAccountsReportResource.md)
 - [AsyncCampaignsReport](docs/AsyncCampaignsReport.md)
 - [AsyncCampaignsReportRequest](docs/AsyncCampaignsReportRequest.md)
 - [AsyncCampaignsReportResource](docs/AsyncCampaignsReportResource.md)
 - [AsyncLineItemsReport](docs/AsyncLineItemsReport.md)
 - [AsyncLineItemsReportRequest](docs/AsyncLineItemsReportRequest.md)
 - [AsyncLineItemsReportResource](docs/AsyncLineItemsReportResource.md)
 - [AsyncReportResponse](docs/AsyncReportResponse.md)
 - [AudienceError](docs/AudienceError.md)
 - [AudienceWarning](docs/AudienceWarning.md)
 - [BalanceHistoryChangeDataCaptureV1](docs/BalanceHistoryChangeDataCaptureV1.md)
 - [BalanceResponseV2](docs/BalanceResponseV2.md)
 - [BalanceResponseV2Response](docs/BalanceResponseV2Response.md)
 - [BatchAcceptedResponse](docs/BatchAcceptedResponse.md)
 - [Brand](docs/Brand.md)
 - [BrandPreview](docs/BrandPreview.md)
 - [BrandPreviewListResponse](docs/BrandPreviewListResponse.md)
 - [CampaignBudgetOverrides](docs/CampaignBudgetOverrides.md)
 - [CampaignDailyBudgetOverride](docs/CampaignDailyBudgetOverride.md)
 - [CampaignMonthlyBudgetOverride](docs/CampaignMonthlyBudgetOverride.md)
 - [Category](docs/Category.md)
 - [Category202204](docs/Category202204.md)
 - [ChangeDatesOfBalanceV2](docs/ChangeDatesOfBalanceV2.md)
 - [ChangeDatesOfBalanceV2Request](docs/ChangeDatesOfBalanceV2Request.md)
 - [ChangeDetailsV1](docs/ChangeDetailsV1.md)
 - [ChangeDetailsV2](docs/ChangeDetailsV2.md)
 - [CommonError](docs/CommonError.md)
 - [CommonProblem](docs/CommonProblem.md)
 - [CommonWarning](docs/CommonWarning.md)
 - [CpcRateCardPreview](docs/CpcRateCardPreview.md)
 - [CpcRateCardPreviewResponse](docs/CpcRateCardPreviewResponse.md)
 - [CreateBalanceV2](docs/CreateBalanceV2.md)
 - [CreateBalanceV2Request](docs/CreateBalanceV2Request.md)
 - [CreativeV2ListResponse](docs/CreativeV2ListResponse.md)
 - [CreativeV2Response](docs/CreativeV2Response.md)
 - [CustomAttribute](docs/CustomAttribute.md)
 - [DailyLineItemBudgetOverride](docs/DailyLineItemBudgetOverride.md)
 - [ErrorCodeResponse](docs/ErrorCodeResponse.md)
 - [ExportReportColumn](docs/ExportReportColumn.md)
 - [ExportReportMetaData](docs/ExportReportMetaData.md)
 - [ExternalAccount](docs/ExternalAccount.md)
 - [ExternalBrand](docs/ExternalBrand.md)
 - [ExternalCatalogStatus](docs/ExternalCatalogStatus.md)
 - [ExternalChoiceVariableValue](docs/ExternalChoiceVariableValue.md)
 - [ExternalColorVariableValue](docs/ExternalColorVariableValue.md)
 - [ExternalCreativeCreateModelV2](docs/ExternalCreativeCreateModelV2.md)
 - [ExternalCreativeUpdateModelV2](docs/ExternalCreativeUpdateModelV2.md)
 - [ExternalCreativeV2](docs/ExternalCreativeV2.md)
 - [ExternalFilesVariableValue](docs/ExternalFilesVariableValue.md)
 - [ExternalHyperlinkVariableValue](docs/ExternalHyperlinkVariableValue.md)
 - [ExternalLineItemBidMultipliersV2](docs/ExternalLineItemBidMultipliersV2.md)
 - [ExternalLineItemCappingV2](docs/ExternalLineItemCappingV2.md)
 - [ExternalLineItemPageCategoryV2](docs/ExternalLineItemPageCategoryV2.md)
 - [ExternalLineItemPageV2](docs/ExternalLineItemPageV2.md)
 - [ExternalPageTypeEnvironment](docs/ExternalPageTypeEnvironment.md)
 - [ExternalPreferredLineItemCreateModelV2](docs/ExternalPreferredLineItemCreateModelV2.md)
 - [ExternalPreferredLineItemUpdateModelV2](docs/ExternalPreferredLineItemUpdateModelV2.md)
 - [ExternalPreferredLineItemV2](docs/ExternalPreferredLineItemV2.md)
 - [ExternalProductButtonRequest](docs/ExternalProductButtonRequest.md)
 - [ExternalProductButtonResponse](docs/ExternalProductButtonResponse.md)
 - [ExternalRetailer](docs/ExternalRetailer.md)
 - [ExternalTemplateVariableValue](docs/ExternalTemplateVariableValue.md)
 - [ExternalTextVariableValue](docs/ExternalTextVariableValue.md)
 - [ExternalVideoVariableValue](docs/ExternalVideoVariableValue.md)
 - [FailResponse](docs/FailResponse.md)
 - [GrantConsentInput](docs/GrantConsentInput.md)
 - [GrantConsentModel](docs/GrantConsentModel.md)
 - [GrantConsentModelValueResource](docs/GrantConsentModelValueResource.md)
 - [InputKeywords](docs/InputKeywords.md)
 - [InputKeywordsModel](docs/InputKeywordsModel.md)
 - [InputResourceOfPreferredLineItemCreateModelV2](docs/InputResourceOfPreferredLineItemCreateModelV2.md)
 - [InsertionOrderHistoryChangeDataCaptureV2](docs/InsertionOrderHistoryChangeDataCaptureV2.md)
 - [Installment](docs/Installment.md)
 - [JsonApiBodyWithIdOfInt64AndAccountAndAccount](docs/JsonApiBodyWithIdOfInt64AndAccountAndAccount.md)
 - [JsonApiBodyWithIdOfInt64AndBrandAndBrand](docs/JsonApiBodyWithIdOfInt64AndBrandAndBrand.md)
 - [JsonApiBodyWithIdOfInt64AndCatalogStatusAndCatalogStatus](docs/JsonApiBodyWithIdOfInt64AndCatalogStatusAndCatalogStatus.md)
 - [JsonApiBodyWithIdOfInt64AndLineItemBidMultipliersV2AndLineItemBidMultipliersV2](docs/JsonApiBodyWithIdOfInt64AndLineItemBidMultipliersV2AndLineItemBidMultipliersV2.md)
 - [JsonApiBodyWithIdOfInt64AndRetailerAndRetailer](docs/JsonApiBodyWithIdOfInt64AndRetailerAndRetailer.md)
 - [JsonApiBodyWithoutIdOfSellerCatalogRequestAndSellerCatalogRequest](docs/JsonApiBodyWithoutIdOfSellerCatalogRequestAndSellerCatalogRequest.md)
 - [JsonApiPageResponseOfAccount](docs/JsonApiPageResponseOfAccount.md)
 - [JsonApiPageResponseOfBrand](docs/JsonApiPageResponseOfBrand.md)
 - [JsonApiPageResponseOfRetailer](docs/JsonApiPageResponseOfRetailer.md)
 - [JsonApiRequestOfSellerCatalogRequest](docs/JsonApiRequestOfSellerCatalogRequest.md)
 - [JsonApiSingleResponseOfCatalogStatus](docs/JsonApiSingleResponseOfCatalogStatus.md)
 - [JsonApiSingleResponseOfLineItemBidMultipliersV2](docs/JsonApiSingleResponseOfLineItemBidMultipliersV2.md)
 - [KeywordDataModel](docs/KeywordDataModel.md)
 - [Keywords](docs/Keywords.md)
 - [KeywordsModel](docs/KeywordsModel.md)
 - [KeywordsModelResource](docs/KeywordsModelResource.md)
 - [KeywordsModelResponse](docs/KeywordsModelResponse.md)
 - [LineItemBidMultipliersV2Request](docs/LineItemBidMultipliersV2Request.md)
 - [LineItemBidMultipliersV2Response](docs/LineItemBidMultipliersV2Response.md)
 - [LineItemBudgetOverrides](docs/LineItemBudgetOverrides.md)
 - [LineItemProductStatus](docs/LineItemProductStatus.md)
 - [LoyaltyPoints](docs/LoyaltyPoints.md)
 - [MatchTypeModel](docs/MatchTypeModel.md)
 - [Metadata](docs/Metadata.md)
 - [MonthlyLineItemBudegetOverride](docs/MonthlyLineItemBudegetOverride.md)
 - [NegotiationStateModel](docs/NegotiationStateModel.md)
 - [NillableString](docs/NillableString.md)
 - [PageMetadata](docs/PageMetadata.md)
 - [PageOfBalanceHistoryChangeDataCaptureV1](docs/PageOfBalanceHistoryChangeDataCaptureV1.md)
 - [PageOfInsertionOrderHistoryChangeDataCaptureV2](docs/PageOfInsertionOrderHistoryChangeDataCaptureV2.md)
 - [PagedResourceCollectionOutcomeOfBalanceResponseV2](docs/PagedResourceCollectionOutcomeOfBalanceResponseV2.md)
 - [PlacementPreview](docs/PlacementPreview.md)
 - [PlacementPreviewListResponse](docs/PlacementPreviewListResponse.md)
 - [PreferredLineItemCreateModelV2Request](docs/PreferredLineItemCreateModelV2Request.md)
 - [PreferredLineItemUpdateModelV2Request](docs/PreferredLineItemUpdateModelV2Request.md)
 - [PreferredLineItemV2PagedListResponse](docs/PreferredLineItemV2PagedListResponse.md)
 - [PreferredLineItemV2Response](docs/PreferredLineItemV2Response.md)
 - [Price](docs/Price.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [Product](docs/Product.md)
 - [ProductButtonListRequest](docs/ProductButtonListRequest.md)
 - [ProductButtonListResponse](docs/ProductButtonListResponse.md)
 - [ProductButtonRequest](docs/ProductButtonRequest.md)
 - [ProductImporterError](docs/ProductImporterError.md)
 - [ProductImporterWarning](docs/ProductImporterWarning.md)
 - [ProductMetadata](docs/ProductMetadata.md)
 - [ProductResourceOutcome](docs/ProductResourceOutcome.md)
 - [ProductShipping](docs/ProductShipping.md)
 - [ProductShippingDimension](docs/ProductShippingDimension.md)
 - [ProductShippingWeight](docs/ProductShippingWeight.md)
 - [ProductTax](docs/ProductTax.md)
 - [ProductUnitPricingBaseMeasure](docs/ProductUnitPricingBaseMeasure.md)
 - [ProductUnitPricingMeasure](docs/ProductUnitPricingMeasure.md)
 - [ProductsCustomBatchRequest](docs/ProductsCustomBatchRequest.md)
 - [ProductsCustomBatchRequestEntry](docs/ProductsCustomBatchRequestEntry.md)
 - [PromotedProduct](docs/PromotedProduct.md)
 - [PromotedProductResource](docs/PromotedProductResource.md)
 - [PromotedProductResourceCollectionInput](docs/PromotedProductResourceCollectionInput.md)
 - [PromotedProductResourceCollectionOutcome](docs/PromotedProductResourceCollectionOutcome.md)
 - [ProposalStatusModel](docs/ProposalStatusModel.md)
 - [ProposalStatusModelResource](docs/ProposalStatusModelResource.md)
 - [ProposalStatusModelResponse](docs/ProposalStatusModelResponse.md)
 - [RecommendedKeywordsResult](docs/RecommendedKeywordsResult.md)
 - [ReportDataResponseResource](docs/ReportDataResponseResource.md)
 - [ReportDetailError](docs/ReportDetailError.md)
 - [ReportDetailErrors](docs/ReportDetailErrors.md)
 - [ReportOkResponse](docs/ReportOkResponse.md)
 - [ReportOutcome](docs/ReportOutcome.md)
 - [ReportResponse](docs/ReportResponse.md)
 - [ResourceCollectionOutcomeOfSkuSearchResult](docs/ResourceCollectionOutcomeOfSkuSearchResult.md)
 - [ResourceOfAddFundsToBalanceV2](docs/ResourceOfAddFundsToBalanceV2.md)
 - [ResourceOfBalanceResponseV2](docs/ResourceOfBalanceResponseV2.md)
 - [ResourceOfBrandPreview](docs/ResourceOfBrandPreview.md)
 - [ResourceOfChangeDatesOfBalanceV2](docs/ResourceOfChangeDatesOfBalanceV2.md)
 - [ResourceOfCpcRateCardPreview](docs/ResourceOfCpcRateCardPreview.md)
 - [ResourceOfCreateBalanceV2](docs/ResourceOfCreateBalanceV2.md)
 - [ResourceOfCreativeV2](docs/ResourceOfCreativeV2.md)
 - [ResourceOfLineItemBidMultipliersV2](docs/ResourceOfLineItemBidMultipliersV2.md)
 - [ResourceOfPlacementPreview](docs/ResourceOfPlacementPreview.md)
 - [ResourceOfPreferredLineItemUpdateModelV2](docs/ResourceOfPreferredLineItemUpdateModelV2.md)
 - [ResourceOfPreferredLineItemV2](docs/ResourceOfPreferredLineItemV2.md)
 - [ResourceOfProductButtonRequest](docs/ResourceOfProductButtonRequest.md)
 - [ResourceOfProductButtonResponse](docs/ResourceOfProductButtonResponse.md)
 - [ResourceOfRetailMediaAccount](docs/ResourceOfRetailMediaAccount.md)
 - [ResourceOfSellerPreview](docs/ResourceOfSellerPreview.md)
 - [ResourceOfSkuDataPreview](docs/ResourceOfSkuDataPreview.md)
 - [ResourceOfSkuSearchRequestPreview](docs/ResourceOfSkuSearchRequestPreview.md)
 - [ResourceOfSkuSearchRequestSlimPreview](docs/ResourceOfSkuSearchRequestSlimPreview.md)
 - [ResourceOfSkuSearchRequestSlimV2Preview](docs/ResourceOfSkuSearchRequestSlimV2Preview.md)
 - [ResourceOfSkuSearchResult](docs/ResourceOfSkuSearchResult.md)
 - [ResourceOfSkuSlimDataPreview](docs/ResourceOfSkuSlimDataPreview.md)
 - [ResourceOfSkuSlimDataV2](docs/ResourceOfSkuSlimDataV2.md)
 - [ResourceOfUpdateBalanceModelV2](docs/ResourceOfUpdateBalanceModelV2.md)
 - [ResourceOutcome](docs/ResourceOutcome.md)
 - [ResourceOutcomeOfRetailMediaAccount](docs/ResourceOutcomeOfRetailMediaAccount.md)
 - [RetailMediaAccount](docs/RetailMediaAccount.md)
 - [RetailMediaContactlistAmendment](docs/RetailMediaContactlistAmendment.md)
 - [RetailMediaContactlistAmendmentAttributes](docs/RetailMediaContactlistAmendmentAttributes.md)
 - [RetailMediaContactlistAmendmentRequest](docs/RetailMediaContactlistAmendmentRequest.md)
 - [RetailMediaContactlistOperation](docs/RetailMediaContactlistOperation.md)
 - [RetailMediaContactlistOperationResponseAttributes](docs/RetailMediaContactlistOperationResponseAttributes.md)
 - [RetailMediaContactlistOperationResponseAttributesAttributes](docs/RetailMediaContactlistOperationResponseAttributesAttributes.md)
 - [RetailMediaSeller](docs/RetailMediaSeller.md)
 - [RetailMediaSellerAccountCreation](docs/RetailMediaSellerAccountCreation.md)
 - [ReviewStateModel](docs/ReviewStateModel.md)
 - [RmAudienceSegmentBulkCreateInputV1](docs/RmAudienceSegmentBulkCreateInputV1.md)
 - [RmAudienceSegmentBulkDeleteInputV1](docs/RmAudienceSegmentBulkDeleteInputV1.md)
 - [RmAudienceSegmentBulkUpdateInputV1](docs/RmAudienceSegmentBulkUpdateInputV1.md)
 - [RmAudienceSegmentCreateEntityV1](docs/RmAudienceSegmentCreateEntityV1.md)
 - [RmAudienceSegmentCreateEntityV1Resource](docs/RmAudienceSegmentCreateEntityV1Resource.md)
 - [RmAudienceSegmentDeleteEntityV1Resource](docs/RmAudienceSegmentDeleteEntityV1Resource.md)
 - [RmAudienceSegmentEntityV1](docs/RmAudienceSegmentEntityV1.md)
 - [RmAudienceSegmentEntityV1ListResponse](docs/RmAudienceSegmentEntityV1ListResponse.md)
 - [RmAudienceSegmentEntityV1Resource](docs/RmAudienceSegmentEntityV1Resource.md)
 - [RmAudienceSegmentEntityV1RmAudienceSegmentSearchMetadataV1ListResponse](docs/RmAudienceSegmentEntityV1RmAudienceSegmentSearchMetadataV1ListResponse.md)
 - [RmAudienceSegmentIdEntityV1ListResponse](docs/RmAudienceSegmentIdEntityV1ListResponse.md)
 - [RmAudienceSegmentIdEntityV1Resource](docs/RmAudienceSegmentIdEntityV1Resource.md)
 - [RmAudienceSegmentSearchEntityV1](docs/RmAudienceSegmentSearchEntityV1.md)
 - [RmAudienceSegmentSearchEntityV1Resource](docs/RmAudienceSegmentSearchEntityV1Resource.md)
 - [RmAudienceSegmentSearchInputV1](docs/RmAudienceSegmentSearchInputV1.md)
 - [RmAudienceSegmentSearchMetadataV1](docs/RmAudienceSegmentSearchMetadataV1.md)
 - [RmAudienceSegmentUpdateEntityV1](docs/RmAudienceSegmentUpdateEntityV1.md)
 - [RmAudienceSegmentUpdateEntityV1Resource](docs/RmAudienceSegmentUpdateEntityV1Resource.md)
 - [RmContactListCreateV1](docs/RmContactListCreateV1.md)
 - [RmContactListStatisticsEntityV1](docs/RmContactListStatisticsEntityV1.md)
 - [RmContactListStatisticsEntityV1Resource](docs/RmContactListStatisticsEntityV1Resource.md)
 - [RmContactListStatisticsEntityV1Response](docs/RmContactListStatisticsEntityV1Response.md)
 - [RmContactListV1](docs/RmContactListV1.md)
 - [RmLegacyAudienceGetEntityV1](docs/RmLegacyAudienceGetEntityV1.md)
 - [RmLegacyAudienceGetEntityV1ListResponse](docs/RmLegacyAudienceGetEntityV1ListResponse.md)
 - [RmLegacyAudienceGetEntityV1Resource](docs/RmLegacyAudienceGetEntityV1Resource.md)
 - [RmLegacyAudienceGetEntityV2](docs/RmLegacyAudienceGetEntityV2.md)
 - [RmLegacyAudienceGetEntityV2ListResponse](docs/RmLegacyAudienceGetEntityV2ListResponse.md)
 - [RmLegacyAudienceGetEntityV2Resource](docs/RmLegacyAudienceGetEntityV2Resource.md)
 - [RmLegacyAudienceUserBehaviorDetailsV2](docs/RmLegacyAudienceUserBehaviorDetailsV2.md)
 - [RmLegacySegmentCustomerList](docs/RmLegacySegmentCustomerList.md)
 - [RmLegacySegmentUserBehaviorV1](docs/RmLegacySegmentUserBehaviorV1.md)
 - [RmLegacySegmentUserBehaviorV2](docs/RmLegacySegmentUserBehaviorV2.md)
 - [RmUserBehaviorV1](docs/RmUserBehaviorV1.md)
 - [RmcaCommonProblem](docs/RmcaCommonProblem.md)
 - [SellerCatalogRequest](docs/SellerCatalogRequest.md)
 - [SellerIdentifier](docs/SellerIdentifier.md)
 - [SellerPreview](docs/SellerPreview.md)
 - [SellerPreviewResponse](docs/SellerPreviewResponse.md)
 - [SetBidModel](docs/SetBidModel.md)
 - [SetBidsModel](docs/SetBidsModel.md)
 - [SetBidsModelRequest](docs/SetBidsModelRequest.md)
 - [SetBidsModelResource](docs/SetBidsModelResource.md)
 - [SkuDataPreview](docs/SkuDataPreview.md)
 - [SkuDataPreviewListResponse](docs/SkuDataPreviewListResponse.md)
 - [SkuSearchRequest](docs/SkuSearchRequest.md)
 - [SkuSearchRequestBody](docs/SkuSearchRequestBody.md)
 - [SkuSearchRequestPreview](docs/SkuSearchRequestPreview.md)
 - [SkuSearchRequestPreviewRequest](docs/SkuSearchRequestPreviewRequest.md)
 - [SkuSearchRequestSlimPreview](docs/SkuSearchRequestSlimPreview.md)
 - [SkuSearchRequestSlimPreviewRequest](docs/SkuSearchRequestSlimPreviewRequest.md)
 - [SkuSearchRequestSlimV2Preview](docs/SkuSearchRequestSlimV2Preview.md)
 - [SkuSearchRequestSlimV2PreviewRequest](docs/SkuSearchRequestSlimV2PreviewRequest.md)
 - [SkuSearchResult](docs/SkuSearchResult.md)
 - [SkuSlimDataPreview](docs/SkuSlimDataPreview.md)
 - [SkuSlimDataPreviewListResponse](docs/SkuSlimDataPreviewListResponse.md)
 - [SkuSlimDataV2](docs/SkuSlimDataV2.md)
 - [SkuSlimDataV2ListResponse](docs/SkuSlimDataV2ListResponse.md)
 - [StatusResponse](docs/StatusResponse.md)
 - [StatusResponseResource](docs/StatusResponseResource.md)
 - [SyncAttributedTransactionsReport](docs/SyncAttributedTransactionsReport.md)
 - [SyncAttributedTransactionsReportRequest](docs/SyncAttributedTransactionsReportRequest.md)
 - [SyncAttributedTransactionsReportResource](docs/SyncAttributedTransactionsReportResource.md)
 - [SyncCampaignsReport](docs/SyncCampaignsReport.md)
 - [SyncCampaignsReportRequest](docs/SyncCampaignsReportRequest.md)
 - [SyncCampaignsReportResource](docs/SyncCampaignsReportResource.md)
 - [SyncLineItemsReport](docs/SyncLineItemsReport.md)
 - [SyncLineItemsReportRequest](docs/SyncLineItemsReportRequest.md)
 - [SyncLineItemsReportResource](docs/SyncLineItemsReportResource.md)
 - [UpdateBalanceModelV2](docs/UpdateBalanceModelV2.md)
 - [UpdateBalanceModelV2Request](docs/UpdateBalanceModelV2Request.md)
 - [ValueResourceCollectionInputOfRetailMediaSeller](docs/ValueResourceCollectionInputOfRetailMediaSeller.md)
 - [ValueResourceCollectionOutcomeOfRetailMediaSeller](docs/ValueResourceCollectionOutcomeOfRetailMediaSeller.md)
 - [ValueResourceInputOfCampaignBudgetOverrides](docs/ValueResourceInputOfCampaignBudgetOverrides.md)
 - [ValueResourceInputOfLineItemBudgetOverrides](docs/ValueResourceInputOfLineItemBudgetOverrides.md)
 - [ValueResourceInputOfRetailMediaSellerAccountCreation](docs/ValueResourceInputOfRetailMediaSellerAccountCreation.md)
 - [ValueResourceOfCampaignBudgetOverrides](docs/ValueResourceOfCampaignBudgetOverrides.md)
 - [ValueResourceOfLineItemBudgetOverrides](docs/ValueResourceOfLineItemBudgetOverrides.md)
 - [ValueResourceOfRecommendedKeywordsResult](docs/ValueResourceOfRecommendedKeywordsResult.md)
 - [ValueResourceOfRetailMediaSeller](docs/ValueResourceOfRetailMediaSeller.md)
 - [ValueResourceOfRetailMediaSellerAccountCreation](docs/ValueResourceOfRetailMediaSellerAccountCreation.md)
 - [ValueResourceOutcomeOfCampaignBudgetOverrides](docs/ValueResourceOutcomeOfCampaignBudgetOverrides.md)
 - [ValueResourceOutcomeOfLineItemBudgetOverrides](docs/ValueResourceOutcomeOfLineItemBudgetOverrides.md)
 - [ValueResourceOutcomeOfRecommendedKeywordsResult](docs/ValueResourceOutcomeOfRecommendedKeywordsResult.md)


## Disclaimer

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.